steps:
  - name: build-release
    image: alpine
    when:
      - event: tag
    commands:
      - apk add openjdk21
      - apk add wget
      - apk add tar
      - wget https://github.com/demonnic/muddler/releases/download/0.13/muddle-shadow-0.13.tar
      - tar -xvf muddle-shadow-0.13.tar
      - mv muddle-shadow-0.13/lib/muddle-0.13-all.jar muddle.jar
      - java -jar muddle.jar

  - name: deploy-build
    image: alpine
    when:
      - event: tag
    environment:
      GITEATKN:
        from_secret: GITEA_TOKEN
      GOTOKEN:
        from_secret: GOTIFY_TOKEN
    depends_on: build-release
    commands:
      - apk add tea
      - apk add wget
      - tea login add --name=temp --url=https://git.vertinext.com/ --token=$GITEATKN
      - tea releases create --asset "build/lotj-ui.mpackage" --asset "build/lotj-ui.xml" --tag ${CI_COMMIT_TAG} --title "Latest Compiled Release" --note "Use .mpackage for Mudlet and .xml for Mushclient"
      - wget "https://gotify.vertinext.com/message?token=$GOTOKEN" --post-data "title=${CI} - ${CI_REPO_NAME}&message=New release ${CI_COMMIT_TAG} built and deployed.&priority=0" -O /dev/null

  - name: notify-on-branch-push
    image: alpine
    when:
      - event: [push, pull_request, tag, release]
      - status: [success, failure]
    environment:
      GOTOKEN:
        from_secret: GOTIFY_TOKEN
    commands:
      - apk add wget
      - wget "https://gotify.vertinext.com/message?token=$GOTOKEN" --post-data "title=${CI} - ${CI_REPO_NAME}&message=New ${CI_PIPELINE_EVENT} to ${CI_REPO_NAME}/${CI_COMMIT_BRANCH}.&priority=0" -O /dev/null